Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009391 [DCSS] Bug Report minor always 2015-01-10 17:32 2015-12-28 04:50
Reporter elliptic View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.16 ancient branch
Summary 0009391: Hexes don't check for immunity while targetting properly.
Description For example, the game currently lets you waste a turn casting confuse on a confuse-immune monster that isn't MR_IMMUNE (e.g. gargoyle), even telling you that you have some % chance of success. The monster has the usual % chance of giving the MR-based resistance message, but will be unaffected regardless.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0006968resolvedwheals auto-targeting issue with ensorcelled hibernation etc 
related to 0007091resolvedwheals Bad default targeting with poison spells 
has duplicate 0009556resolvedMarvinPA Incorrect hexes chance displayed for non-susceptible monsters 
has duplicate 0009631closedMarvinPA Hexes show success rate on nonsusceptible targets 
has duplicate 0009936closedneil Polymorph wand shows chance of success against Menkaure 
child of 0007071resolvedwheals Numerous issues with Targetting, Tracers, Clouds and Breaths 

-  Notes
(0028265)
neil (administrator)
2015-01-10 18:03
edited on: 2015-01-12 03:53

There are three(?) separate issues here:

1. Confuse and Freeze, perhaps others, don't know which things are immune at all: the hostiles-in-range check accepts the immune. This doesn't happen with e.g. Pain. In addition, Confuse can give the "resists" messages against immune creatures (E.H. and pain always say "unaffected").

2. If both a susceptible and an immune creature are in range, spells (perhaps all spells? tested with Pain and Ensorcelled Hibernation) can start targetting on, and cycle to, the immune one. The two related bugs are about this problem.

3. The chance % display on hexes only considers MR, and not other things (like holiness for Confuse, rC for Hibernation) that would prevent the effect.

(0028760)
Hollow (reporter)
2015-04-02 23:04

In addition to second issue, this can also happen if you forcecast the spell - even with all targets in view being immune - via macros like [Za], [Zb] and so on or when you click on your spellbar (tiles version). In the former case it's possible for a spell to autotarget an immune monster, even with a susceptible one present in the effective range.
(0028761)
chris (updater)
2015-04-02 23:06

Hibernation, on top of rC preventing it, also has a short-term immunity that (to the best of my knowledge) is not displayed at all in the game and should probably be visible in the targeter too.
(0030076)
wheals (administrator)
2015-12-24 20:43
edited on: 2015-12-24 20:43

1 is partially fixed by https://github.com/crawl/crawl/commit/096f453a42ce [^] (there are still a number of spells with this issue, though).
2 was fixed by https://github.com/crawl/crawl/commit/9029360753a7. [^]

Still working on 3.

(0030091)
wheals (administrator)
2015-12-28 04:50

3 is fixed in https://github.com/crawl/crawl/commit/244f4fb049b1. [^]

- Issue History
Date Modified Username Field Change
2015-01-10 17:32 elliptic New Issue
2015-01-10 18:03 neil Note Added: 0028265
2015-01-12 03:48 neil Relationship added related to 0006961
2015-01-12 03:49 neil Relationship deleted related to 0006961
2015-01-12 03:50 neil Relationship added related to 0006968
2015-01-12 03:50 neil Relationship added child of 0007071
2015-01-12 03:52 neil Relationship added related to 0007091
2015-01-12 03:53 neil Note Edited: 0028265
2015-01-12 21:25 chris Issue Monitored: chris
2015-03-17 12:29 MarvinPA Relationship added has duplicate 0009556
2015-04-02 23:04 Hollow Note Added: 0028760
2015-04-02 23:06 chris Note Added: 0028761
2015-04-12 22:44 MarvinPA Relationship added has duplicate 0009631
2015-09-05 05:35 neil Relationship added has duplicate 0009936
2015-12-24 20:43 wheals Note Added: 0030076
2015-12-24 20:43 wheals Note Edited: 0030076
2015-12-24 20:51 wheals Status new => assigned
2015-12-24 20:51 wheals Assigned To => wheals
2015-12-28 04:50 wheals Note Added: 0030091
2015-12-28 04:50 wheals Status assigned => resolved
2015-12-28 04:50 wheals Fixed in Branch => 0.18 development branch
2015-12-28 04:50 wheals Resolution open => done


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker